<div class="resizable2" id="NpMainContent">
    <div id="Agency" style="display:none" class="well NrlForm EditPage" data-ng-controller="Agency.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div class="TopFormArea">
            <h2>{{getALString(getPageTitle())}}</h2>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
        <div id="Agency_ControllerGrpAgency" data-ng-controller="Agency.ControllerGrpAgency" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                <div class="TopGridArea">
                    <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                    <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                    <h3>{{getALString(gridTitle())}}</h3>
                </div>
                <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                    <table>
                        <tr>
                            <td colspan="3" style="width:25%" >
                                <label class="pull-left" for="GrpAgency_srchr__fsch_name"  data-ng-bind="getALString('Name')"   />
                            </td>
                            <td colspan="2" style="width:16%" >
                                <label class="pull-left" for="GrpAgency_srchr__fsch_country"  data-ng-bind="getALString('Country')"   />
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style="width:25%" >
                                <input name='GrpAgency_srchr__fsch_name' data-ng-model='modelGrpAgency.fsch_name' data-np-ui-model='modelGrpAgency._fsch_name' data-ng-readonly='GrpAgency_srchr__fsch_name_disabled()' data-np-text='dummy' />
                            </td>
                            <td colspan="2" style="width:16%" >
                                <input name='GrpAgency_srchr__fsch_country' data-ng-model='modelGrpAgency.fsch_country' data-np-ui-model='modelGrpAgency._fsch_country' data-ng-readonly='GrpAgency_srchr__fsch_country_disabled()' data-np-text='dummy' />
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                        </tr>
                    </table>
                    <div class="GridSearchAreaFooter">
                        <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                        <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                    </div>
                </div>
                <div data-on-key-down="gridPageDown()" data-keys="[34]">
                    <div id="GrpAgency_tableId" data-ng-grid="modelGrpAgency.grid" class="gridStyle">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
